TagPluginParser (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.tomcat.util.descriptor.tagplugin, class: TagPluginParser

# Class TagPluginParser

java.lang.Object
org.apache.tomcat.util.descriptor.tagplugin.TagPluginParser

public class TagPluginParser extends Object
Parser for Tag Plugin descriptors.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TagPluginParser(ServletContext context, boolean blockExternal)`
  Creates a new TagPluginParser.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPlugin(String tagClass, String pluginClass)`
  Registers a plugin class for the given tag class.
  `Map<String,String>`
  `getPlugins()`
  Returns the map of registered tag plugins.
  `void`
  `parse(URL url)`
  Parses a tag plugin descriptor from the given URL.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TagPluginParser

    public TagPluginParser(ServletContext context, boolean blockExternal)
    Creates a new TagPluginParser.
    Parameters:
      `context` - the servlet context
      `blockExternal` - whether to block external entities

- ## Method Details

  - ### parse

    public void parse(URL url) throws IOException, SAXException
    Parses a tag plugin descriptor from the given URL.
    Parameters:
      `url` - the URL of the descriptor file
    Throws:
      `IOException` - if an I/O error occurs
      `SAXException` - if a parsing error occurs

  - ### addPlugin

    public void addPlugin(String tagClass, String pluginClass)
    Registers a plugin class for the given tag class.
    Parameters:
      `tagClass` - the tag handler class name
      `pluginClass` - the plugin class name

  - ### getPlugins

    public Map<String,String> getPlugins()
    Returns the map of registered tag plugins.
    Returns:
      the map from tag class names to plugin class names